### Virtual Method

# Gtk.TreeDragSource.drag_data_get

#### Declaration [src]

    GdkContentProvider*
    drag_data_get (
      GtkTreeDragSource* drag_source,
      GtkTreePath* path
    )

#### Description [src]

Asks the `GtkTreeDragSource` to return a `GdkContentProvider` representing the row at `path`. Should robustly handle a `path` no longer found in the model!

#### Parameters

`path` | `GtkTreePath`
| row that was dragged
| Ownership is not transferred to the callee

#### Return value

Returns: `GdkContentProvider*`
a `GdkContentProvider` for the given `path` or `NULL` if none exists
Ownership of the data is transferred to the caller
Can be `NULL`